from starlette.requests import Request

from vexillum.types import Flag
from vexillum.util import package_dir


class CheapFlag(Flag):
    name = "Caesar Vexillum"
    preview = "caesar.jpg"
    price = 5

    async def produce(self, request: Request) -> str:
        return "Veni, vidi, vici"


class ExpensiveFlag(Flag):
    name = "Brute Vexillum"
    preview = "brute.jpg"
    price = 13371337

    async def produce(self, request: Request) -> str:
        return ">>> ABSCONDITUM <<<"


FLAGS: dict[int, Flag] = {1: CheapFlag(), 2: ExpensiveFlag()}

__all__ = ["FLAGS"]
